Sort entries by values

- « ArrayIterator::append

- ArrayIterator::__construct »

- PHP Manual
- ArrayIterator
- Sort entries by values

# ArrayIterator::asort

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

ArrayIterator::asort — Sort entries by values

### Description

public ArrayIterator::asort(int `$flags` = `SORT_REGULAR`): true

Sorts entries by their values.

> Note:

> If two members compare as equal, they retain their original order. Prior to PHP 8.0.0, their relative order in the sorted array was undefined.

### Parameters

`flags`

  The optional second parameter `flags` may be used to modify the sorting behavior using these values:

  Sorting type flags:

  - `SORT_REGULAR` - compare items normally; the details are described in the comparison operators section
  - `SORT_NUMERIC` - compare items numerically
  - `SORT_STRING` - compare items as strings
  - `SORT_LOCALE_STRING` - compare items as strings, based on the current locale. It uses the locale, which can be changed using setlocale()
  - `SORT_NATURAL` - compare items as strings using "natural ordering" like natsort()
  - `SORT_FLAG_CASE` - can be combined (bitwise OR) with `SORT_STRING` or `SORT_NATURAL` to sort strings case-insensitively

### Return Values

Always returns `true`.

### Changelog

Version | Description
--- | ---
8.2.0 | The return type is `true` now; previously, it was bool.

### See Also

- ArrayIterator::ksort() - Sort entries by keys
- ArrayIterator::natcasesort() - Sort entries naturally, case insensitive
- ArrayIterator::natsort() - Sort entries naturally
- ArrayIterator::uasort() - Sort with a user-defined comparison function and maintain index association
- ArrayIterator::uksort() - Sort by keys using a user-defined comparison function
- asort() - Sort an array in ascending order and maintain index association